package org.jboss.test.classloader.scoping.singleton;

/** A singleton class for testing singleton versioning
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.2 $
 */
public class MySingleton
{
   private static MySingleton instance;

   private String version;

   public static MySingleton getInstance()
   {
      if( instance == null )
      {
         instance = new MySingleton("V2");
      }
      return instance;
   }

   private MySingleton(String version)
   {
      this.version = version;
   }

   public String getVersion()
   {
      return version;
   }
}
